### Method

# FwupdPlugin Context get_smbios_data

since: 2.0.7

#### Declaration [src]

    GPtrArray*
    fu_context_get_smbios_data (
      FuContext* self,
      guint8 type,
      guint8 length,
      GError** error
    )

#### Description [src]

Gets all hardware SMBIOS data for a specific type.

Available since: 2.0.7

#### Parameters

`type`

  Type: `guint8`

  A SMBIOS structure type, e.g. `FU_SMBIOS_STRUCTURE_TYPE_BIOS`.

`length`

  Type: `guint8`

  Expected length of the structure, or `FU_SMBIOS_STRUCTURE_LENGTH_ANY`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `GBytes*`

A `GBytes`, or `NULL` if not found.

The caller of the method takes ownership of the data container, but not the data inside it.